#include <stdio.h>
#include <stdlib.h>

#include "audiodevice.h"


AudioDevice::AudioDevice()
{
	alutInit(0, NULL);
}

AudioDevice::~AudioDevice()
{
	alutExit();
}

void AudioDevice::play(AudioResource *s)
{
	alSourcePlay(s->getSource());
}

void AudioDevice::stop(AudioResource *s)
{
	alSourceStop(s->getSource());
}

void AudioDevice::pause(AudioResource *s)
{
	alSourcePause(s->getSource());
}
